[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

### 4.4.1 Common Command Line Options

All Crystal Space applications respond to a common set of command line options. Many applications define additional options which are specific to that particular application.

The most immediately useful command line option which all applications respond to is ``-help'`. This command list all of the other options to which an application responds.

The default setting for each command line option is set internally in the program unless there is a corresponding line for it in the configuration file. Command line options always override default values.

Some interesting options to play with are:

`-mode=640x480`

  Use this option to set the size of the display.

`-canvas=sdl2d`

  Use this option to select the type of 2D canvas to use.

`-video=opengl`

  (or software, ...). Use this option to select type of display driver to use. Other options are `software`, `null`, etc.

`-fs`

  Open in fullscreen mode (default is windowed).

`-verbose`

  This enable very verbose output. This is useful for debugging why Crystal Space isn't behaving as it should. If you just specify ``-verbose'` you will get a lot of output. If your problem is not SCF related you can also do: ``-verbose=-scf'`.

`-relight`

  Use this option to recalculate all lightmaps after you changed lighting or geometry in a level that you're trying. If you don't do this you either get the old lightmaps or no lightmaps at all. Note that this command is only for the old lightmap system as used by the thing mesh object.

`-fullbright`

  Use this option to get fullbright rendering of all objects. This is useful for debugging maps if you don't want to spend time relighting them first.

`-plugin=...`

  This is a general commandline option with which you can load any plugin into your application. One common option is to use this for loading the ``bugplug'` debugging plugin like this: ``-plugin=bugplug'`.

`-cfgset=...`

  With this commandline option you can set a configuration option on the commandline. For example: ``-cfgset=Video.OpenGL.DelaySwap=yes'`.

`-cfgfile=...`

  This option loads an entire file to the configuration manager.

[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ]

This document was generated using texi2html 1.76.